Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161017 - SMB Shares are not creatable by gnome-config-printer
Summary: SMB Shares are not creatable by gnome-config-printer
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 4
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 21:28 UTC by Matthew A. R. Sherian
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 08:02:41 UTC


Attachments (Terms of Use)
CUPS manages the remote printer (deleted)
2005-06-30 23:25 UTC, Matthew A. R. Sherian
no flags Details
Both printers configured with cups, produces the bug condition (deleted)
2005-06-30 23:26 UTC, Matthew A. R. Sherian
no flags Details

Description Matthew A. R. Sherian 2005-06-19 21:28:21 UTC
Description of problem:
If the end user creates a printer that is accessed VIA SMB, the printer is in
accessible.

Version-Release number of selected component (if applicable):
cups-1.1.23-15
system-config-printer-0.6.131-1

How reproducible:
Unknown, could be unique to one system.

Steps to Reproduce:
1. Click Desktop->System Settings->Printing
2. Select New
3. Enter the printer name; Next!
4. Select SMB
5. Specify the Connection information
6. Attempt to print a test page.
  
Actual results:
There was a problem sending CUPS test page
to 'Laserjet1150' queue:

lpr: error - unable to print file: client-error-not-found


Expected results:


Additional info:

If one adds the printer via http://localhost:631/ [Cups Web admin] it is successful

Comment 1 Tim Waugh 2005-06-28 15:54:48 UTC
Please attach the output of 'printconf-tui --Xexport' at that point, taking care
to replace any passwords it may contain with *s.

Comment 2 Matthew A. R. Sherian 2005-06-30 23:25:12 UTC
Created attachment 116196 [details]
CUPS manages the remote printer

The config with CUPS having the LaserJet printer config, and printtool managing
a localprinter.

Comment 3 Matthew A. R. Sherian 2005-06-30 23:26:29 UTC
Created attachment 116197 [details]
Both printers configured with cups, produces the bug condition

This is the configuration that produces the bug.

Comment 4 Tim Waugh 2005-07-01 08:17:25 UTC
With the configuration from attachment #116197 [details], what does 'lpstat -s' say?

Comment 5 Matthew A. R. Sherian 2005-07-02 02:27:51 UTC
[mars@mars-new ~]$ lpstat -s
system default destination: hp7350
device for hp7350: usb:/dev/usb/lp0


Comment 6 Tim Waugh 2005-07-03 09:32:07 UTC
Still keeping the same configuration, what about when you run
'/usr/sbin/printconf-backend --force-rebuild' and then 'service cups restart' --
is the 'lpstat -s' output the same?

Comment 7 Matthew A. R. Sherian 2005-07-04 04:09:54 UTC
the printconf-backend force rebuild was performed, but I had the printer
configured via cups. I then went and removed the printer from cups, reran the
printconf-backend fore rebuild command, then added the printer via the gui, and
it was successful. The printer now shows up in CUPS config, and in the GNOME
Print configurator. 


Note You need to log in before you can comment on or make changes to this bug.